Public Class EditData
    Private Sub TextBox4_TextChanged(sender As Object, e As EventArgs) Handles TextBoxUsername.TextChanged

    End Sub

    Private Sub ButtonEditData_Click(sender As Object, e As EventArgs) Handles ButtonEditData.Click
        Dim i As ListViewItem
        i = PWM.ListView1.SelectedItems(0)
        i.Text = TextBoxDomain.Text
        i.SubItems.Item(1).Text = TextBoxUsername.Text
        i.SubItems.Item(2).Text = TextBoxPassword.Text
        i.SubItems.Item(3).Text = TextBoxEMail.Text
        i.SubItems.Item(4).Text = TextBoxToken.Text
        My.Settings.LastTimeEditedValue = System.DateTime.Now
        My.Settings.Save()
        My.Settings.Reload()
        MsgBox("Your data has been successfully edited")
        Me.DialogResult = System.Windows.Forms.DialogResult.OK
        Me.Close()
    End Sub

    Private Sub ButtonCancel_Click(sender As Object, e As EventArgs) Handles ButtonCancel.Click
        Me.Close()
    End Sub

    Private Sub EditData_Load(sender As Object, e As EventArgs) Handles MyBase.Load

    End Sub
End Class